@echo off
@color 0C
title H266MOD-NWinter Compability Enabler
cls

:top
echo.
echo         ͻ
echo          H266MOD-NWinter Compability Enabler 
echo         ͼ
echo                    By Hendricks266 
echo                   
echo.
echo This batch file extracts the contents of your NWinter.grp
echo or NWinter.zip and verifies the contents in order to ensure
echo proper functioning of HNWinter.
echo.
pause
echo.
echo In order for this to work you must have the following
echo files in the same directory:
echo.
echo HNWinter.bat (This Batch File)
echo HNWinter.zip
echo NWinter.grp OR NWinter.zip
echo KE.H266
echo KG.H266
echo UZ.H266
echo.
echo If you do not have these files in the same directory you
echo will get errors.
echo.
echo Note: If you have both NWinter.zip and NWinter.grp in your
echo directory then this batch file will default to the GRP.
echo.
echo Press any key to begin installation . . .
pause > NUL
if not exist NWinter.grp goto grpcheck
if not exist NWinter.zip goto zipcheck
if not exist KE.H266 goto noke
if not exist KG.H266 goto nokg
if not exist UZ.H266 goto nouz
goto start

:grpcheck
if exist NWinter.zip goto start
goto nogrp

:zipcheck
if exist NWinter.grp goto start
goto nozip

:start
cls
echo.
echo Please Wait . . .
@set directory=%cd%
@md HNWTEMP
@md HNWTEMP\HNWGRP
@copy /q KG.H266 HNWTEMP\HNWGRP\KG.exe
@copy /q HNWinter.zip HNWTEMP\HNWGRP\HNWinter.zip
@copy /q UZ.H266 HNWTEMP\HNWGRP\UZ.exe
@cd HNWTEMP\HNWGRP
@UZ.exe e HNWinter.zip *.*
@del /Q HNWinter.zip
@del /Q UZ.exe
@cd %directory%
if exist NWinter.grp goto grp
if exist NWinter.zip goto zip
goto error

:grp
@copy /q KE.H266 HNWTEMP\KE.exe
@copy /q NWinter.grp HNWTEMP\NWinter.grp
@cd HNWTEMP
@KE.exe NWinter.grp *.*
@del /Q KE.exe
@del /Q NWinter.grp
goto almost

:zip
@copy /q UZ.H266 HNWTEMP\UZ.exe
@copy /q NWinter.zip HNWTEMP\NWinter.zip
@cd HNWTEMP
@UZ.exe e NWinter.zip *.*
@del /Q NWinter.zip
goto almost

:almost

@if not exist E2L1.MAP goto incomplete
@move /q E2L1.MAP HNWGRP\E2L1.MAP

@if not exist E2L2.MAP goto incomplete
@move /q E2L2.MAP HNWGRP\E2L2.MAP

@if not exist E2L3.MAP goto incomplete
@move /q E2L3.MAP HNWGRP\E2L3.MAP

@if not exist E2L3.MAP goto incomplete
@move /q E2L3.MAP HNWGRP\E2L3.MAP

@if not exist E2L4.MAP goto incomplete
@move /q E2L4.MAP HNWGRP\E2L4.MAP

@if not exist E2L5.MAP goto incomplete
@move /q E2L5.MAP HNWGRP\E2L5.MAP

@if not exist E2L6.MAP goto incomplete
@move /q E2L6.MAP HNWGRP\E2L6.MAP

@if not exist E2L7.MAP goto incomplete
@move /q E2L7.MAP HNWGRP\E2L7.MAP

@if not exist E2L8.MAP goto incomplete
@move /q E2L8.MAP HNWGRP\E2L8.MAP

@if not exist NW1.MID goto incomplete
@move /q NW1.MID HNWGRP\NW1.MID

@if not exist NW2.MID goto incomplete
@move /q NW2.MID HNWGRP\NW2.MID

@if not exist NW3.MID goto incomplete
@move /q NW3.MID HNWGRP\NW3.MID

@if not exist NW3.MID goto incomplete
@move /q NW3.MID HNWGRP\NW3.MID

@if not exist NW4.MID goto incomplete
@move /q NW4.MID HNWGRP\NW4.MID

@if not exist NW5.MID goto incomplete
@move /q NW5.MID HNWGRP\NW5.MID

@if not exist NW6.MID goto incomplete
@move /q NW6.MID HNWGRP\NW6.MID

@if not exist NW7.MID goto incomplete
@move /q NW7.MID HNWGRP\NW7.MID

@if not exist GRABBAG.MID goto incomplete
@move /q GRABBAG.MID HNWGRP\GRABBAG.MID

@if not exist CINEOV2.ANM goto incomplete
@move /q CINEOV2.ANM HNWGRP\CINEOV2.ANM

@if not exist LOGO.ANM goto incomplete
@move /q LOGO.ANM HNWGRP\LOGO.ANM

@if not exist TILES005.ART goto incomplete
@move /q TILES005.ART HNWGRP\TILES005.ART

@if not exist TILES006.ART goto incomplete
@move /q TILES006.ART HNWGRP\TILES006.ART

@if not exist TILES007.ART goto incomplete
@move /q TILES007.ART HNWGRP\TILES007.ART

@if not exist TILES008.ART goto incomplete
@move /q TILES008.ART HNWGRP\TILES008.ART

@if not exist TILES009.ART goto incomplete
@move /q TILES009.ART HNWGRP\TILES009.ART

@if not exist TILES012.ART goto incomplete
@move /q TILES012.ART HNWGRP\TILES012.ART

@if not exist TILES013.ART goto incomplete
@move /q TILES013.ART HNWGRP\TILES013.ART

@if not exist TILES014.ART goto incomplete
@move /q TILES014.ART HNWGRP\TILES014.ART

@if not exist TILES015.ART goto incomplete
@move /q TILES015.ART HNWGRP\TILES015.ART

@if not exist 410.VOC goto incomplete
@move /q 410.VOC HNWGRP\410.VOC

@if not exist 411.VOC goto incomplete
@move /q 411.VOC HNWGRP\411.VOC

@if not exist 412.VOC goto incomplete
@move /q 412.VOC HNWGRP\412.VOC

@if not exist 413.VOC goto incomplete
@move /q 413.VOC HNWGRP\413.VOC

@if not exist 414.VOC goto incomplete
@move /q 414.VOC HNWGRP\414.VOC

@if not exist 415.VOC goto incomplete
@move /q 415.VOC HNWGRP\415.VOC

@if not exist 416.VOC goto incomplete
@move /q 416.VOC HNWGRP\416.VOC

@if not exist 417.VOC goto incomplete
@move /q 417.VOC HNWGRP\417.VOC

@if not exist 418.VOC goto incomplete
@move /q 418.VOC HNWGRP\418.VOC

@if not exist 419.VOC goto incomplete
@move /q 419.VOC HNWGRP\419.VOC

@if not exist 420.VOC goto incomplete
@move /q 420.VOC HNWGRP\420.VOC

@if not exist 421.VOC goto incomplete
@move /q 421.VOC HNWGRP\421.VOC

@if not exist 422.VOC goto incomplete
@move /q 422.VOC HNWGRP\422.VOC

@if not exist BELLS.VOC goto incomplete
@move /q BELLS.VOC HNWGRP\BELLS.VOC

@if not exist BUCKLE.VOC goto incomplete
@move /q BUCKLE.VOC HNWGRP\BUCKLE.VOC

@if not exist FLYBY.VOC goto incomplete
@move /q FLYBY.VOC HNWGRP\FLYBY.VOC

@if not exist FONERING.VOC goto incomplete
@move /q FONERING.VOC HNWGRP\FONERING.VOC

@if not exist GUNHIT2.VOC goto incomplete
@move /q GUNHIT2.VOC HNWGRP\GUNHIT2.VOC

@if not exist HEADRIP3.VOC goto incomplete
@move /q HEADRIP3.VOC HNWGRP\HEADRIP3.VOC

@if not exist JETP2.VOC goto incomplete
@move /q JETP2.VOC HNWGRP\JETP2.VOC

@if not exist JINGLE1.VOC goto incomplete
@move /q JINGLE1.VOC HNWGRP\JINGLE1.VOC

@if not exist JINGLE2.VOC goto incomplete
@move /q JINGLE2.VOC HNWGRP\JINGLE2.VOC

@if not exist LANI05.VOC goto incomplete
@move /q LANI05.VOC HNWGRP\LANI05.VOC

@if not exist LANIDUK2.VOC goto incomplete
@move /q LANIDUK2.VOC HNWGRP\LANIDUK2.VOC

@if not exist MOVIE2.VOC goto incomplete
@move /q MOVIE2.VOC HNWGRP\MOVIE2.VOC

@if not exist MOVIE3.VOC goto incomplete
@move /q MOVIE3.VOC HNWGRP\MOVIE3.VOC

@if not exist NEWS.VOC goto incomplete
@move /q NEWS.VOC HNWGRP\NEWS.VOC

@if not exist PIGRM.VOC goto incomplete
@move /q PIGRM.VOC HNWGRP\PIGRM.VOC

@if not exist RIPPAPER.VOC goto incomplete
@move /q RIPPAPER.VOC HNWGRP\RIPPAPER.VOC

@if not exist SAMPLE3.VOC goto incomplete
@move /q SAMPLE3.VOC HNWGRP\SAMPLE3.VOC

@if not exist SCREAM1.VOC goto incomplete
@move /q SCREAM1.VOC HNWGRP\SCREAM1.VOC

@if not exist SCREAM2.VOC goto incomplete
@move /q SCREAM2.VOC HNWGRP\SCREAM2.VOC

@if not exist SQUEEK.VOC goto incomplete
@move /q SQUEEK.VOC HNWGRP\SQUEEK.VOC

@if not exist WHISTLE.VOC goto incomplete
@move /q WHISTLE.VOC HNWGRP\WHISTLE.VOC

@if not exist WIND2.VOC goto incomplete
@move /q WIND2.VOC HNWGRP\WIND2.VOC

@if not exist WIND54.VOC goto incomplete
@move /q WIND54.VOC HNWGRP\WIND54.VOC

@cd HNWGRP

@KG.exe NWinter.grp *.*
@cd %directory%
@move /q HNWTEMP\HNWGRP\NWinter.grp HNWinter.grp
goto finish

:finish
cls
echo.
echo Success!
echo.
echo You do not need to run this batch file again unless you
echo accidentally delete your new HNWinter.grp.
echo.
echo To play H266MOD now, run H266MOD.bat.
echo.
pause
goto end

:nogrp
cls
echo.
echo Error: You don't have NWinter.grp in this directory.
pause
goto end

:noke
cls
echo.
echo Error: You don't have KE.H266 in this directory.
pause
goto end

:nokg
cls
echo.
echo Error: You don't have KG.H266 in this directory.
pause
goto end

:nouz
cls
echo.
echo Error: You don't have UZ.H266 in this directory.
pause
goto end

:incomplete
cls
echo.
echo Error: The contents of NWinter.grp\NWinter.zip are incomplete.
echo Please create a fresh NWinter.grp\NWinter.zip with all the required contents.
pause
goto end

:error
cls
echo.
echo Unknown Error. Make sure you have all required files in this directory.
pause
goto end

:end
@del /Q HNWTEMP\HNWGRP\*.*
@del /Q HNWTEMP\*.*
@rd /Q HNWTEMP\HNWGRP
@rd /Q HNWTEMP
@color 07
title Command Prompt
goto :eof
